    use32
    org     0x0
    db	    'MENUET01'
    dd	    0x01
    dd	    __START
    dd	    __END
    dd	    0x100000
    dd	    0x100000
    dd	    sz_param
    dd	    0x0
	
include 'proc32.inc'
include 'macros.inc'
include 'dll.inc'

PATH_MAX_CHARS equ 256

;---------------------------------------------------------------------
__START:
;---------------------------------------------------------------------
	; Initialize memory
	mcall	68, 11
	or	eax,eax
	jz	.end
	; Import libraries
	stdcall dll.Load,importTable
	test	eax, eax
	jnz	.end
;--------------------------------------------------------------------
    cmp     byte [sz_param], 0
    jne     .set_bs
	invoke	ini_get_str, ini_path, aDefault, aWallpaper, edi, PATH_MAX_CHARS, 0
	mov [sz_merror2], edi
	mcall   70, is_notify2

    mcall   70, is_notify
    jmp     .end

.set_bs:
    cmp     byte [sz_param], '3'
    je	    .set_bs.3D
    mcall   48, 1, 0
    jmp     .set_bg
.set_bs.3D:
    mcall   48, 1, 1

.set_bg:
    mov     byte [sz_buffer + 0], "\"
    mov     byte [sz_buffer + 1], "S"
    mov     byte [sz_buffer + 2], "_"
    mov     byte [sz_buffer + 3], "_"

    mov     edi, 3
@@:
    mov     ah, byte [sz_param + edi]
    mov     byte [sz_buffer + edi + 1], ah
    inc     edi
    cmp     byte [sz_param + edi], ';'
    jne     @b

    mov     byte [sz_buffer + edi + 1], 0
    mcall   70, is_kiv

.set_skn:
    add     edi, sz_param
    inc     edi
    mcall   48, 8, edi

.end:
    mcall   48, 0, 0
    mcall   -1
;---------------------------------------------------------------------
is_kiv:
    dd	    7, 0, sz_buffer, 0, 0
    db	    "/rd/1/media/kiv", 0
is_notify:
    dd	    7, 0, sz_merror, 0, 0
    db	    "/rd/1/@notify", 0
sz_merror:
    db	    "[eSkin]  㪠 ࠬ", 0
	
is_notify2:
    dd	    7, 0, sz_merror2, 0, 0
    db	    "/rd/1/@notify", 0
sz_merror2:
    rb	    256

	

sz_buffer:
    rb	    256
sz_param:
    rb	    256

ini_path           db  '/rd/1/settings/eskin.ini',0
aDefault	       db  'default',0
aWallpaper         db  'wallpaper',0

align 16
importTable:
library 						\
	libini, 'libini.obj'

import	libini, \
	ini_get_str  ,'ini_get_str', \
	ini_set_str  ,'ini_set_str', \
	ini_get_int  ,'ini_get_int', \
	ini_set_int  ,'ini_set_int'
;---------------------------------------------------------------------
__END:
